#!/bin/bash

echo "执行运行环境检查"
# 配置内核模块安装和启用
KERNEL_VERSION=$(uname -r)


KERNEL_MODULE_DIR="/lib/modules/$KERNEL_VERSION/updates"
MODULE_PATH="$KERNEL_MODULE_DIR/ky_dlp.ko"


KERNEL_VERSION=$(uname -r)
if [ -d /lib/modules/$KERNEL_VERSION ]; then
    echo "目录存在"
    KERNEL_MODULE_DIR="/lib/modules/$KERNEL_VERSION/updates"
    mkdir -p $KERNEL_MODULE_DIR

    if [[ ! -e $KERNEL_MODULE_DIR/ky_dlp.ko ]]; then
        echo "检查ky_dlp.ko 不存在"
    fi
fi


if [[ -e $KERNEL_MODULE_DIR/ky_dlp.ko ]]; then
    # kysec 设置授权
    chmod +x "$MODULE_PATH"
    kysec_set -n exectl -v verified "$MODULE_PATH"
    KERNEL_LOADED=$(lsmod |grep ky_dlp)
    if [[ -z $KERNEL_LOADED ]];then
        echo " insmod  $MODULE_PATH "
	    insmod "$MODULE_PATH"
    fi
fi

